Bug 807602 - New release 1.8.4 with important bug fixes
Summary: New release 1.8.4 with important bug fixes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 694805 786070
TreeView+ depends on / blocked
 
Reported: 2012-03-28 10:18 UTC by Paulo Anes
Modified: 2012-05-04 23:08 UTC (History)
7 users (show)

Fixed In Version: liferea-1.8.5-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-01 00:50:26 UTC
Type: ---


Attachments (Terms of Use)
Update to 1.8.4 (551 bytes, patch)
2012-04-09 11:55 UTC, Emmanuel Seyman
no flags Details | Diff

Description Paulo Anes 2012-03-28 10:18:12 UTC
Liferea-1.8.4 has been released.

Fedora is in 1.8.0 and in release 1.8.3 liferea came with important fixes related with sqlite in ext4 filesystem.

1.8.4 Release notes:

http://sourceforge.net/mailarchive/message.php?msg_id=29049111

1.8.3 Release notes:

http://sourceforge.net/mailarchive/message.php?msg_id=29029130

Comment 1 Patrick 2012-03-28 12:16:04 UTC
Steven: any chance liferea will soon be updated to 1.8.4? The much needed speed improvements are massive and other fixes (e.g. for the infamous GUI freeze) are very, very welcome. I hope it will be updated in time for F17 too so we don't get stuck at the release of F17 with an old buggy release. Thank you for your efforts!

Comment 2 Patrick 2012-03-28 13:11:08 UTC
FWIW I downloaded the liferea-1.8.0 SRPM from koji, downloaded liferea-1.8.4.tar.gz and updated the version in the spec file to 1.8.4. The 1.8.4 release builds fine, the RPM installs without any issue, it starts up in a jiffy and updates to about 35 feeds are wonderfully fast. I have been using it for about an hour now and have not seen any issues.

Comment 3 Dominic Hopf 2012-04-09 11:50:55 UTC
I can offer you my support as co-maintainer of the Liferea package if you're not getting around to take care of this. I'm quite interested in seeing an update of Liferea in Fedora as well. :)

Comment 4 Emmanuel Seyman 2012-04-09 11:55:52 UTC
Created attachment 576193 [details]
Update to 1.8.4

I did the same thing as Patrick and noticed a HUGE improvement in startup time (to the point where I can actually start using liferea again). Here's the (trivial) patch.

Comment 5 Paulo Anes 2012-04-09 19:01:29 UTC
I also did the same thing as Patrick and since then (2012-03-30) I'm using this version without any visible bug and with real improved performance.

Everyone here was able to create this rpm, but this would also be an interesting update to the rest of the Fedora users.

Comment 6 Paulo Anes 2012-04-16 17:09:58 UTC
New stable release 1.8.5 with a few more bug fixes.

Release notes:

http://sourceforge.net/mailarchive/message.php?msg_id=29129058

If Steven don't have some spare time to do this, is there some co-maintainer of liferea package that could help?

Comment 7 Emmanuel Seyman 2012-04-22 21:22:52 UTC
(In reply to comment #6)
>
> If Steven don't have some spare time to do this, is there some co-maintainer of
> liferea package that could help?

I agree something needs to be done.

I've requested commit rights to the package in pkgdb and sent private mail to Steven. Hopefully, we can fix this bug soon.

Comment 8 Gwyn Ciesla 2012-04-27 02:03:19 UTC
I'm a provenpackager and liferea user, and will get this out ASAP.

Comment 9 Fedora Update System 2012-04-27 02:36:37 UTC
liferea-1.8.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/liferea-1.8.5-1.fc16

Comment 10 Fedora Update System 2012-04-27 02:36:47 UTC
liferea-1.8.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/liferea-1.8.5-1.fc17

Comment 11 Fedora Update System 2012-04-27 15:45:04 UTC
Package liferea-1.8.5-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liferea-1.8.5-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6808/liferea-1.8.5-1.fc17
then log in and leave karma (feedback).

Comment 12 Paulo Anes 2012-04-30 10:49:01 UTC
It works for me, thank you! :-D

Jon, give a look in the tickets that depend on this because they are also fixed with this update.

Comment 13 Emmanuel Seyman 2012-04-30 11:33:39 UTC
(In reply to comment #12)
> 
> Jon, give a look in the tickets that depend on this because they are also fixed with this update.

Steven has given me co-maintainer rights (thank you, Steven). I'll be taking a look at all the open tickets over the coming week and closing the ones that have been resolved.

Comment 14 Gwyn Ciesla 2012-04-30 12:05:07 UTC
Brilliant, let me know if you need anything.

Comment 15 Fedora Update System 2012-05-01 00:50:26 UTC
liferea-1.8.5-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2012-05-04 23:08:11 UTC
liferea-1.8.5-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.